package ru.redguy.dynamicshop.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import ru.redguy.dynamicshop.api.Database;
import ru.redguy.dynamicshop.gui.ShopGuiBuy;
import ru.redguy.dynamicshop.gui.ShopGuiSell;

public class ShopReloadCommand extends Command {
    public ShopReloadCommand(@NotNull String name) {
        super(name);
    }

    @Override
    public boolean execute(@NotNull CommandSender sender, @NotNull String commandLabel, @NotNull String[] args) {
        if(!sender.hasPermission("dynshop.reload")) return true;
        ShopGuiBuy.update();
        ShopGuiSell.update();
        return true;
    }

    @Override
    public @Nullable String getPermission() {
        return "dynshop.reload";
    }
}
